@charset "UTF-8";

#wrap {
	padding-bottom: calc(var(--margin-base) * 2.3);
}

/* ↓コンテンツエリア */
.side{
	padding: var(--margin-base) calc(var(--margin-base) * 0.85);
	margin-top: var(--margin-base);
}

.side > *:first-child{
	margin-top: 0;
	padding: 0;
	background-color: transparent;
}

/* ↓リンク一覧 */
.link ul{
	gap: 0.7em;
}
.link ul li a{
	padding: 0 1em;
}

/* ↓カテゴリーリスト */
ul.cattree{
	display: flex;
	flex-wrap: wrap;
	gap: 0.8em;
}

/* ↓日付リスト */
form.datelimitbox,
form.datelimitbox select{
	width: 100%;
}

/* ↓各記事 */
article .comment{
	padding: calc(var(--margin-base) * 0.95) calc(var(--margin-base) * 0.95) calc(var(--margin-base) * 0.8);
}

article .oneloginfo{
	padding: 0 calc(var(--margin-base) * 0.95) calc(var(--margin-base) * 0.9);
	font-size: 0.9em;
	line-height: 1.5;
}

article .oneloginfo::after{
	order: -1;
	margin-bottom: 1em;
	height: 0.4em;
}

/* ↓投稿フォーム表示ボタン */
.newpost{
	top: calc(var(--margin-base) * 2.8);
	right: calc(var(--margin-base) * 0.5);
}

.newpost.show{
	bottom: calc(var(--margin-base) * 0.5);
	top: auto;
}

/* ↓投稿フォーム */
.postarea{
	transform: translateX(100vw);
	width: 100vw;
	height: 100dvh;
	overflow: auto;
	overflow-x: hidden;
	opacity: 0.95;
}

form.postform textarea{
	height: 25rem !important;
}

.line-control span.decoBtns{
	gap: 0.5em;
}

.line-control span.decoBtns input{
	font-size: 0.9em;
}

/* ↓投稿フォーム表示ボタン */
.iinebtn{
	bottom: calc(var(--margin-base) * 0.5);
	left: calc(var(--margin-base) * 0.5);
}

/* ↓フッター */
footer{
	position: absolute;
	bottom: var(--margin-base);
	left: 0;
	right: 0;
	margin: auto;
}

/* ↓ページトップボタン */

#page_top {
	width: 40px;
	height: 40px;
  }

  #page_top a {
	width: 40px;
	height: 40px;
	border-radius: 5px;
	background-color: var(--color-main);
  }

  #page_top a::before {
	font-size: 22px;
	width: 22px;
	height: 22px;
	top: -15px;
  }